OpenEL 3.0.0

Public Attributes | List of all members
elBluetoothLegoNxt Struct Reference

`#include <openEL_NXT.h>`

## Public Attributes
ELInt32(* | pFncBluetoothInit )(ELUInt32 portid)
ELInt32(* | pFncInitializeMaster )(ELUInt32 portid, const ELUChar *addr, const ELChar *pPin)
ELInt32(* | pFncInitializeSlave )(ELUInt32 portid, const ELChar *pPin)
ELInt32(* | pFncTerminate )(ELUInt32 portid)
ELInt32(* | pFncSendData )(ELUInt32 portid, const ELUInt8 *buf, ELUInt32 offset, ELUInt32 len, ELUInt32 *outsize)
ELInt32(* | pFncReceiveData )(ELUInt32 portid, ELUInt8 *buf, ELUInt32 offset, ELUInt32 len, ELUInt32 *outsize)
ELInt32(* | pFncGetDeviceName )(ELUInt32 portid, ELChar *pName)
ELInt32(* | pFncSetDeviceName )(ELUInt32 portid, const ELChar *pName)
ELInt32(* | pFncGetStatus )(ELUInt32 portid, ELInt32 *pStatus)
ELInt32(* | pFncGetSignalStrength )(ELUInt32 portid, ELInt32 *pStrength)

## Detailed Description

Definition at line 100 of file openEL_NXT.h.

## Member Data Documentation

## ◆ pFncBluetoothInit

ELInt32(* elBluetoothLegoNxt::pFncBluetoothInit) (ELUInt32 portid)

Definition at line 101 of file openEL_NXT.h.

## ◆ pFncGetDeviceName

ELInt32(* elBluetoothLegoNxt::pFncGetDeviceName) (ELUInt32 portid, ELChar *pName)

Definition at line 107 of file openEL_NXT.h.

## ◆ pFncGetSignalStrength

ELInt32(* elBluetoothLegoNxt::pFncGetSignalStrength) (ELUInt32 portid, ELInt32 *pStrength)

Definition at line 110 of file openEL_NXT.h.

## ◆ pFncGetStatus

ELInt32(* elBluetoothLegoNxt::pFncGetStatus) (ELUInt32 portid, ELInt32 *pStatus)

Definition at line 109 of file openEL_NXT.h.

## ◆ pFncInitializeMaster

ELInt32(* elBluetoothLegoNxt::pFncInitializeMaster) (ELUInt32 portid, const ELUChar *addr, const ELChar *pPin)

Definition at line 102 of file openEL_NXT.h.

## ◆ pFncInitializeSlave

ELInt32(* elBluetoothLegoNxt::pFncInitializeSlave) (ELUInt32 portid, const ELChar *pPin)

Definition at line 103 of file openEL_NXT.h.

## ◆ pFncReceiveData

ELInt32(* elBluetoothLegoNxt::pFncReceiveData) (ELUInt32 portid, ELUInt8 *buf, ELUInt32 offset, ELUInt32 len, ELUInt32 *outsize)

Definition at line 106 of file openEL_NXT.h.

## ◆ pFncSendData

ELInt32(* elBluetoothLegoNxt::pFncSendData) (ELUInt32 portid, const ELUInt8 *buf, ELUInt32 offset, ELUInt32 len, ELUInt32 *outsize)

Definition at line 105 of file openEL_NXT.h.

## ◆ pFncSetDeviceName

ELInt32(* elBluetoothLegoNxt::pFncSetDeviceName) (ELUInt32 portid, const ELChar *pName)

Definition at line 108 of file openEL_NXT.h.

## ◆ pFncTerminate

ELInt32(* elBluetoothLegoNxt::pFncTerminate) (ELUInt32 portid)

Definition at line 104 of file openEL_NXT.h.

The documentation for this struct was generated from the following file:

- /Users/nakamura/openel/OpenEL-3.0.0/include/openEL_NXT.h